Bug 601628 - java_cup should depend on coreutils because postinstall script uses cat
Summary: java_cup should depend on coreutils because postinstall script uses cat
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java_cup   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 10:59 UTC by Albert Strasheim
Modified: 2010-12-04 10:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 10:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert Strasheim 2010-06-08 10:59:47 UTC
Description of problem:

java_cup postinstall script uses cat but package doesn't depend on coreutils.

It might make sense to fix rpm in general to detect this kind of problem at package build time.

Version-Release number of selected component (if applicable):

java_cup-0.11a-4

How reproducible:

Always.

Steps to Reproduce:
1. Install java_cup before installing coreutils
2.
3.
  
Actual results:

cat: command not found

Expected results:

postinstall script should work

Additional info:

Comment 1 Bruce Jerrick 2010-09-11 07:31:43 UTC
Not fixed in F14 Development yet (Sep 11, 2010).
Fix is trivial.

Here's a handy way to check for failure:

  grep -A1 "Installing java_cup-0" /root/install.log

Tip: This is a handy idiom to ferret out installatio errors:

  grep -B1 -v '^Installing' /root/install.log

-- Bruce Jerrick

Comment 2 Lubomir Rintel 2010-12-04 10:52:57 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.